/Users/bernard/b20/bsoft/src/jsubtomo.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/jsubtomo.cpp - Finds particles (subtomograms) in a tomographic reconstruction and refines their origins and orientations.

SYNOPSIS

#include 'rwimg.h'
#include 'mg_subtomo.h'
#include 'mg_processing.h'
#include 'mg_particle_select.h'
#include 'mg_extract.h'
#include 'mg_img_proc.h'
#include 'rwmg.h'
#include 'ps_micrograph.h'
#include 'Matrix.h'
#include 'linked_list.h'
#include 'file_util.h'
#include 'options.h'
#include 'utilities.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Finds particles (subtomograms) in a tomographic reconstruction and refines their origins and orientations.

Author:
    Juha Huiskonen (JTH)

    Bernard Heymann

Date:
    Created: 20071010

    Modified: 20080630 -rescale option.

    Modified: 20081124 option to write star files of extracted particles

    Modified: 20081128 rescaling of the map moved to main loop, output files will be float by default

    Modified: 20100503 changes to how extract mode handles particle origins

    Modified: 20100511 target map cropped for refinement, cropped map rescaled

    Modified: 20120123 (BH)

    Modified: 20120308

    Modified: 20120316 added an option to limit shifts along view vectors

    Modified: 20120329 added functional topp and topn options

    Modified: 20131129 (BH)

    Modified: 20150108 (BH) - incorporated into Bsoft

    Modified: 20150806 (BH)

    Based on the code by Bernard Heymann (BH) (bfind.c in bsoft)

Definition in file jsubtomo.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 122 of file jsubtomo.cpp.

Variable Documentation

  const char* use[]

Definition at line 42 of file jsubtomo.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.